Bug 1210767 - At least one file seems corrupt in version 2.0.25-2 and earlier
Summary: At least one file seems corrupt in version 2.0.25-2 and earlier
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: d. johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-10 14:03 UTC by Anna Jonna Ármannsdóttir
Modified: 2016-04-03 19:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-26 18:04:57 UTC


Attachments (Terms of Use)

Description Anna Jonna Ármannsdóttir 2015-04-10 14:03:48 UTC
Description of problem:
When the plugin is run, it fails with syntax error and unexpected end of file.

Code is missing from a plugin file. File corruption suspected: 
plugins/http_loadtime

Version-Release number of selected component (if applicable):
2.0.25-2 and 2.0.25-1

How reproducible:
Install package and compare the code of the plugin to the git code. 

Steps to Reproduce:
1. yum install --enablerepo=epel-testing munin-node
2. cat /usr/share/munin/plugins/http_loadtime |wc -l gives 77 lines
3.

Actual results:
77 

Expected results:
https://github.com/munin-monitoring/munin/blob/devel/plugins/node.d/http_loadtime 
has 110 lines and a different checksum. 

Additional info:

bash-4.1$ munin-run --debug http_loadtime
# Processing plugin configuration from /etc/munin/plugin-conf.d/amavis
# Processing plugin configuration from /etc/munin/plugin-conf.d/df
# Processing plugin configuration from /etc/munin/plugin-conf.d/fw_
# Processing plugin configuration from /etc/munin/plugin-conf.d/hddtemp_smartctl
# Processing plugin configuration from /etc/munin/plugin-conf.d/http
# Processing plugin configuration from /etc/munin/plugin-conf.d/munin-node
# Processing plugin configuration from /etc/munin/plugin-conf.d/postfix
# Processing plugin configuration from /etc/munin/plugin-conf.d/sendmail
# Setting up environment
# Environment target = http://www.hi.is
# About to run '/etc/munin/plugins/http_loadtime'
/etc/munin/plugins/http_loadtime: line 78: syntax error: unexpected end of file

Comment 1 Anna Jonna Ármannsdóttir 2015-04-10 15:51:23 UTC
Sorry! I was a bit too quick on the trigger. 
There are numerous errors in the original file on the 2.0 version branch. This has nothing to do with the packaging of munin-node. 
Still this plugin is severely broken. 
I would like to suggest using the devel branch for this plugin.

Comment 2 d. johnson 2015-04-10 20:32:56 UTC
Have you tried replacing the 2.1 plugin for the one found in the 2.0 package?  does it actually work without additional changes?

Comment 3 d. johnson 2015-04-10 20:37:36 UTC
Line 45 of /usr/share/munin/plugins/http_loadtime has an 'if' statement that has no ending 'fi'

This is what causes it to fail.

Comment 4 Chad Feller 2015-04-23 20:00:56 UTC
the issue (and fix) mentioned in comment #3 exists on EL7 and Fedora 21 as well.

Comment 5 Anna Jonna Ármannsdóttir 2015-05-13 14:48:23 UTC
(In reply to d. johnson from comment #2)
> Have you tried replacing the 2.1 plugin for the one found in the 2.0
> package?  does it actually work without additional changes?

Yes, I have replaced the 2.0 version branch with the devel version and it works fine on Red Hat 6 and CentOS 6. 
The config is very well described in the script, it takes a comma separated list of urls. Munin then shows graphs of loadtime for each url in the list. 

My config as an example: 
[http_loadtime]
     env.target http://www.hi.is/node/2249,http://english.hi.is/node/5020 

Hopefully this will help lots of users. 

Best regards, Anna.

Comment 6 Fedora Update System 2016-03-16 01:38:54 UTC
munin-2.0.25-11.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e

Comment 7 Fedora Update System 2016-03-16 01:39:57 UTC
munin-2.0.25-11.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430

Comment 8 Fedora Update System 2016-03-16 01:40:38 UTC
munin-2.0.25-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09

Comment 9 Fedora Update System 2016-03-16 01:41:11 UTC
munin-2.0.25-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c

Comment 10 Fedora Update System 2016-03-16 01:41:51 UTC
munin-2.0.25-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35

Comment 11 Fedora Update System 2016-03-16 01:42:23 UTC
munin-2.0.25-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c

Comment 12 Fedora Update System 2016-03-18 14:59:56 UTC
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cdbc3807c

Comment 13 Fedora Update System 2016-03-18 22:49:45 UTC
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7461361430

Comment 14 Fedora Update System 2016-03-18 22:51:57 UTC
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8a2521ca09

Comment 15 Fedora Update System 2016-03-18 23:56:24 UTC
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41976a321c

Comment 16 Fedora Update System 2016-03-19 01:27:04 UTC
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b515c26e35

Comment 17 Fedora Update System 2016-03-19 02:18:21 UTC
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cb381df2e

Comment 18 Fedora Update System 2016-03-26 18:04:37 UTC
munin-2.0.25-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-03-26 19:49:45 UTC
munin-2.0.25-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-03-26 20:20:44 UTC
munin-2.0.25-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-04-02 19:25:32 UTC
munin-2.0.25-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-04-02 20:34:10 UTC
munin-2.0.25-11.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-04-03 19:51:18 UTC
munin-2.0.25-11.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.